boost::geometry::partition< Box, ExpandPolicy1, OverlapsPolicy1, ExpandPolicy2, OverlapsPolicy2, IncludePolicy1, IncludePolicy2, VisitBoxPolicy > Class Template Reference

List of all members.

## Static Public Member Functions

template<typename ForwardRange , typename VisitPolicy >
static void | apply (ForwardRange const &forward_range, VisitPolicy &visitor, std::size_t min_elements=16, VisitBoxPolicy box_visitor=detail::partition::visit_no_policy())
template<typename ForwardRange1 , typename ForwardRange2 , typename VisitPolicy >
static void | apply (ForwardRange1 const &forward_range1, ForwardRange2 const &forward_range2, VisitPolicy &visitor, std::size_t min_elements=16, VisitBoxPolicy box_visitor=detail::partition::visit_no_policy())

### template<typename Box, typename ExpandPolicy1, typename OverlapsPolicy1, typename ExpandPolicy2 = ExpandPolicy1, typename OverlapsPolicy2 = OverlapsPolicy1, typename IncludePolicy1 = detail::partition::include_all_policy, typename IncludePolicy2 = detail::partition::include_all_policy, typename VisitBoxPolicy = detail::partition::visit_no_policy>
class boost::geometry::partition< Box, ExpandPolicy1, OverlapsPolicy1, ExpandPolicy2, OverlapsPolicy2, IncludePolicy1, IncludePolicy2, VisitBoxPolicy >

## Member Function Documentation

template<typename Box , typename ExpandPolicy1 , typename OverlapsPolicy1 , typename ExpandPolicy2 = ExpandPolicy1, typename OverlapsPolicy2 = OverlapsPolicy1, typename IncludePolicy1 = detail::partition::include_all_policy, typename IncludePolicy2 = detail::partition::include_all_policy, typename VisitBoxPolicy = detail::partition::visit_no_policy>
template<typename ForwardRange , typename VisitPolicy >

static void boost::geometry::partition< Box, ExpandPolicy1, OverlapsPolicy1, ExpandPolicy2, OverlapsPolicy2, IncludePolicy1, IncludePolicy2, VisitBoxPolicy >::apply | ( | ForwardRange const & | forward_range,
|  | VisitPolicy & | visitor,
|  | std::size_t | min_elements = `16`,
|  | VisitBoxPolicy | box_visitor = `detail::partition< Box, ExpandPolicy1, OverlapsPolicy1, ExpandPolicy2, OverlapsPolicy2, IncludePolicy1, IncludePolicy2, VisitBoxPolicy >::visit_no_policy()`
| ) |  | `[static]`

template<typename Box , typename ExpandPolicy1 , typename OverlapsPolicy1 , typename ExpandPolicy2 = ExpandPolicy1, typename OverlapsPolicy2 = OverlapsPolicy1, typename IncludePolicy1 = detail::partition::include_all_policy, typename IncludePolicy2 = detail::partition::include_all_policy, typename VisitBoxPolicy = detail::partition::visit_no_policy>
template<typename ForwardRange1 , typename ForwardRange2 , typename VisitPolicy >

static void boost::geometry::partition< Box, ExpandPolicy1, OverlapsPolicy1, ExpandPolicy2, OverlapsPolicy2, IncludePolicy1, IncludePolicy2, VisitBoxPolicy >::apply | ( | ForwardRange1 const & | forward_range1,
|  | ForwardRange2 const & | forward_range2,
|  | VisitPolicy & | visitor,
|  | std::size_t | min_elements = `16`,
|  | VisitBoxPolicy | box_visitor = `detail::partition< Box, ExpandPolicy1, OverlapsPolicy1, ExpandPolicy2, OverlapsPolicy2, IncludePolicy1, IncludePolicy2, VisitBoxPolicy >::visit_no_policy()`
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK